跳转到正文
皓量云擎文档
接口参考裸金属

查询裸金属镜像列表

GET /api/v1/baremetal/images,listBaremetalImages 的请求参数和响应结构。

GET /api/v1/baremetal/images

项目内容
操作标识listBaremetalImages
认证登录会话 Cookie

响应

HTTP 状态含义
200成功
400请求失败
401请求失败
403请求失败
404请求失败
409请求失败
503请求失败
default请求失败
200 · application/json 响应结构
字段类型必填说明与约束
dataMetalImage[]是—
request_idstring是—
{
  "$ref": "#/$defs/MetalImageListResponse",
  "$defs": {
    "MetalImageListResponse": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "$ref": "#/$defs/MetalImage"
          }
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "data",
        "request_id"
      ],
      "additionalProperties": false
    },
    "MetalImage": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "uuid"
        },
        "name": {
          "type": "string"
        },
        "os": {
          "type": "string"
        },
        "version": {
          "type": "string"
        },
        "architecture": {
          "type": "string"
        },
        "format": {
          "type": "string"
        },
        "firmware": {
          "type": "string"
        },
        "enabled": {
          "type": "boolean",
          "nullable": true
        },
        "compatible": {
          "type": "boolean"
        },
        "source_available": {
          "type": "boolean"
        },
        "sha256": {
          "type": "string"
        },
        "min_disk_gib": {
          "type": "integer"
        }
      },
      "required": [
        "id",
        "name",
        "os",
        "version",
        "architecture",
        "format",
        "firmware",
        "enabled",
        "compatible",
        "source_available",
        "sha256",
        "min_disk_gib"
      ],
      "additionalProperties": false
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录